# $Revision: 1.29 $, $Date: 2005/01/03 19:43:52 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires Radius server availability)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	Radius
Summary:	Authen::Radius - provide simple RADIUS client facilities
Summary(pl):	Authen::Radius - udostpnienie funkcji klienta RADIUS
Name:		perl-%{pdir}-%{pnam}
Version:	0.12
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Authen/RadiusPerl-%{version}.tar.gz
# Source0-md5:	8427f931a4e0e689ecf8ddf30e5a0ea7
# for dependency resolving
BuildRequires:	perl-Data-HexDump
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::Radius is Perl module for authentication using RADIUS server.

%description -l pl
Authen::Radius jest moduem Perla do autentykacji przy pomocy serwera
RADIUS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/Authen/Radius.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Authen-Radius.spec,v $
Revision 1.29  2005/01/03 19:43:52  adamg
- updated to 0.12

Revision 1.28  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.27  2004/05/06 18:43:03  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/17 06:55:08  ankry
- better descriptions/summaries

Revision 1.25  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.24  2004/03/28 15:23:15  adamg
- updated to 0.11

Revision 1.23  2004/03/14 16:54:37  adamg
- updated to 0.10

Revision 1.22  2004/03/09 20:53:30  adamg
- new style bconds

Revision 1.21  2003/09/30 13:14:38  qboosh
- noarch - so removed bogus OPTIMIZE; other cosmetics

Revision 1.20  2003/09/21 21:47:51  adamg
- updated to 0.09, removed obsolete MD5_Digest patch

Revision 1.19  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/05/28 13:00:24  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/09 23:30:24  ankry
- added tests and disabled them
- updated to 0.08, rel. 2

Revision 1.14  2003/03/01 17:42:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:26:39  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.10  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/03/03 21:05:18  marcus
- rel.3.

Revision 1.7  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/10 15:24:04  depesz
adapterized

Revision 1.5  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.3  2001/05/20 13:32:43  kloczek
- added Digest-MD5 patch for use Digest::MD5 module instead obsoleted MD5,
- removed Require: perl-Digest-MD5 (autogenerated),
- BuildRequires changed from perl to perl-devel.

Revision 1.2  2001/05/20 12:58:01  bonkey
- initital, based on perl-Authen-TacacsPlus.spec
- Perl Artistic License

Revision 1.1  2001/05/20 12:54:20  bonkey
6e852eef8b4e4bd6c068c060fe99cb2f  perl-Authen-Radius.spec
